#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include <limits.h>
#include <errno.h>

void rename_group(int first, int last, const char *prefix, int *pcur)
{
    char inp[PATH_MAX];
    char outp[PATH_MAX];

    for (int i = first; i <= last; ++i, ++*pcur) {
        snprintf(inp, sizeof(inp), "%s%02d.in", prefix, i);
        snprintf(outp, sizeof(outp), "%03d.dat", *pcur);
        unlink(outp);
        if (symlink(inp, outp) < 0) {
            fprintf(stderr, "symlink: %s -> %s: %s\n", outp, inp, strerror(errno));
            exit(1);
        }
        snprintf(inp, sizeof(inp), "%s%02d.out", prefix, i);
        snprintf(outp, sizeof(outp), "%03d.ans", *pcur);
        unlink(outp);
        if (symlink(inp, outp) < 0) {
            fprintf(stderr, "symlink: %s -> %s: %s\n", outp, inp, strerror(errno));
            exit(1);
        }
    }
}

int main()
{
    int cur = 1;
    rename_group(0, 18, "basic-", &cur);
    rename_group(0, 7, "small-stripes-", &cur);
    rename_group(0, 40, "small-rand-", &cur);
    rename_group(0, 5, "small-maxtest-", &cur);
    rename_group(0, 5, "large-stipes-", &cur);
    rename_group(0, 4, "large-parq-", &cur);
    rename_group(0, 40, "large-rand-", &cur);
    rename_group(0, 9, "large-maxtest-", &cur);
}
