#! /bin/python3

import math

def mask(lst, m):
    m = m.zfill(len(lst))
    return list(map(lambda x: x[0], filter(lambda x: x[1] != '0', zip(lst, m))))

def subset_sum(lst, target):
    for i in range(2**len(lst)):
        pick = mask(lst, bin(i)[2:])
        if sum(pick) == target:
            return pick
    return False

def divisors(n):
    large_divisors = []
    for i in range(1, int(math.sqrt(n) + 1)):
        if n % i == 0:
            yield int(i)
            if i*i != n:
                large_divisors.append(n / i)
    for divisor in reversed(large_divisors):
        yield int(divisor)

def is_number_practice(n):
  divisor = list(divisors(n))
  for i in range(1, n):
    if not subset_sum(divisor, i):
      return False
  return True

practice_list = [1, 2, 4, 6, 8, 12, 16, 18, 20, 24, 28, 30, 32, 36, 40, 42, 48, 54, 56, 60, 64, 66, 72, 78, 80, 84, 88, 90, 96, 100, 104, 108, 112, 120, 126, 128, 132, 140, 144, 150, 156, 160, 162, 168, 176, 180, 192, 196, 198]

n = int(input())
print(sum([x < n for x in practice_list]))
