#pragma once

#include <ostream>

class TractorState
{
public:
    static constexpr int MEMORY_SIZE = 8;
    // relative pos
    enum class Direction { AWAY = 0, LEFT = 1, RIGHT = 2, UP = 3, DOWN = 4, SAME = 5 };

private:
    int x_ = 0;
    int y_ = 0;
    unsigned char mem_[MEMORY_SIZE] = {};

    int new_x_ = 0;
    int new_y_ = 0;

public:
    TractorState() = default;
    TractorState(int x, int y) : x_(x), y_(y) {}

    int x() const noexcept { return x_; }
    int y() const noexcept { return y_; }

    int new_x() const { return new_x_; }
    int new_y() const { return new_y_; }

    void dump_mem(std::ostream &out) const;

    void parse_tractor_output(std::string &str);

    void apply_move() 
    {
        x_ = new_x_;
        y_ = new_y_;
    }

    void reset_new_state() 
    {
        new_x_ = x_;
        new_y_ = y_;
    }
};
